/*******************************************************************************
 * Copyright (c) 2007 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 ******************************************************************************/

module org.eclipse.core.internal.databinding.validation.NumberToUnboundedNumberValidator;

import java.lang.all;

import org.eclipse.core.internal.databinding.conversion.NumberToNumberConverter;

/**
 * Validates if a Number can fit in an unbounded number (e.g. BigInteger, BigDecimal, etc.).
 * <p>
 * Class is thread safe.
 * </p>
 * 
 * @since 1.0
 */
public class NumberToUnboundedNumberValidator : NumberToNumberValidator {
    /**
     * @param converter
     */
    public this(NumberToNumberConverter converter) {
        super(converter, null, null);
    }

    /*
     * (non-Javadoc)
     * 
     * @see org.eclipse.core.internal.databinding.validation.NumberToNumberValidator#inRange(java.lang.Number)
     */
    protected bool inRange(Number number) {
        return true;
    }
}
